kvirc (4:5.2.6-2+kh13.1) kh-trixie-extras; urgency=medium

  * Build without QtWebEngine, for increased security.
  * Set Maintainer to myself; drop Uploaders.

 -- Bryan Gardiner <bog@khumba.net>  Thu, 25 Sep 2025 19:38:23 -0700

kvirc (4:5.2.6-2) unstable; urgency=medium

  * Switch to Qt6 and KF6.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 30 Nov 2024 00:54:41 +0500

kvirc (4:5.2.6-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.7.0.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 12 Oct 2024 18:27:05 +0500

kvirc (4:5.2.4-1) unstable; urgency=medium

  * New upstream version.
  * Add debian/watch.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 11 May 2024 18:07:33 +0500

kvirc (4:5.2.2+dfsg-2) unstable; urgency=medium

  * Fix Wayland integration.
  * Move doxygen and graphviz to Build-Depends-Indep and annotate them with
    !nodoc.
  * Switch to B-D: dh-sequence-kf5.
  * Remove obsolete override_dh_missing.

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 02 Apr 2024 22:48:30 +0500

kvirc (4:5.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Merge libkvilib5 and kvirc-modules back into the main subpackage.
  * Update build-depends for the new upstream version and to list more
    required packages explicitly.
  * Bump Standards-Version to 4.6.2.
  * Remove explicit --as-needed.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 17 Mar 2024 22:55:24 +0500

kvirc (4:5.0.0+dfsg-6) unstable; urgency=medium

  * Reproducibility fixes, patches by Vagrant Cascadian:
    + Remove buildpath from rpath (Closes: #997036).
    + Remove the username from the docs footer (Closes: #997037).
  * Bump Standards-Version to 4.6.0.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 12 Dec 2021 16:30:46 +0500

kvirc (4:5.0.0+dfsg-5) unstable; urgency=medium

  * Fix a crash on Wayland (Closes: #935726).

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 10 Jul 2021 12:26:08 +0500

kvirc (4:5.0.0+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Rik Mills ]
  * debian/patches: Add upstream_fix-build-with-Qt-5.15.patch
    (Closes: #974021).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 10 Nov 2020 20:44:22 +0300

kvirc (4:5.0.0+dfsg-3) unstable; urgency=medium

  * Switch to libenchant-2 (Closes: #956700).
  * Update the Homepage field (Closes: #960985).
  * Bump Standards-Version to 4.5.0 (no change needed).
  * Remove obsolete /usr/share/man/man1/kvi_make_scriptdist.sh.1.gz link.
  * Rename debian/TODO.Debian to debian/TODO.
  * Switch to the debhelper compat level 13.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 29 Jun 2020 21:57:50 +0500

kvirc (4:5.0.0+dfsg-2) unstable; urgency=medium

  * Switch bindings to Python 3 (Closes: #936810).
  * Bump Standards-Version to 4.4.1 (no change needed).

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 29 Nov 2019 15:33:30 +0500

kvirc (4:5.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to the debhelper compat level 12.
  * Replace debian/compat with B-D: debhelper-compat.
  * Bump Standards-Version to 4.3.0 (no change needed).
  * Drop --dbgsym-migration, the dbgsym subpackages are built in stretch.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 21 Jan 2019 22:23:22 +0500

kvirc (4:4.9.3~git20180404+dfsg-1) unstable; urgency=medium

  * New upstream snapshot (98f9af6a).
    + reproducibility improvements
  * Update Vcs-* URLs.
  * Drop the no-symbols-control-file override.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 04 Apr 2018 21:27:33 +0500

kvirc (4:4.9.3~git20180106+dfsg-1) unstable; urgency=medium

  * New upstream snapshot (e2a7b9ec).
  * Bump Standards-Version to 4.1.3 (no change needed).
  * Switch to the debhelper compat level 11.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 07 Jan 2018 01:21:16 +0500

kvirc (4:4.9.2~git20171211+dfsg-1) unstable; urgency=medium

  * New upstream snapshot (ed2a1568).
    + adds OpenSSL 1.1 support
  * Build with OpenSSL 1.1 (Closes: #858990).
  * Bump Standards-Version to 4.1.2 (no change needed).

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 11 Dec 2017 21:48:56 +0500

kvirc (4:4.9.2~git20171106+dfsg-1) unstable; urgency=medium

  * New upstream snapshot (33fcac55).
  * Set Rules-Requires-Root: no.
  * Remove trailing whitespace from debian/changelog.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 06 Nov 2017 17:46:40 +0500

kvirc (4:4.9.2~git20171002+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream snapshot (4bbda1e5).
  * Bump Standards-Version to 4.1.1 (no change needed).
  * Drop not currently helpful debian/watch.
  * Add DEP3 headers to enable-optimisation-with-debug.patch.
  * Remove data/doctemplates/rfc2812.template from the source package.
  * Replace links to the internal RFC2812 page with links to
    https://tools.ietf.org/html/rfc2812 in the help system.
  * Drop obsolete bzip2-related debian/source/options.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 14 Oct 2017 00:47:43 +0500

kvirc (4:4.9.2~git20170827-1) experimental; urgency=medium

  * Team upload.
  * Upload to experimental.
  * Add myself to Uploaders.
  * Package the current development snapshot, using Qt5 (Closes: #784490,
    #872289).
    + doesn't install /usr/share/kde4/apps/kvirc/kvirc.notifyrc and
      /usr/share/kde4/services/irc*.protocol
  * Update the B-D accordingly.
  * Update the cmake B-D minimum version to 3.1.0.
  * Don't use -Wl,--no-undefined as it doesn't work with the modules.
  * Don't install anything into /usr/share/pixmaps.
  * Install /usr/share/mime/packages/kvirc.xml manually as the upstream
    currently doesn't do that.
  * Update the expression for -DMANUAL_REVISION to work with git snapshot
    versions.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 27 Aug 2017 19:34:16 +0500

kvirc (4:4.2.0-3) unstable; urgency=medium

  * Team upload.
  * Switch to debhelper compat level 10.
  * Fix FTBFS in C++14 mode (Closes: #811908).
  * Build with libssl1.0-dev (Closes: #828370).
  * Drop explicit Pre-Depends: multiarch-support.
  * Remove obsolete lintian overrides for menu-icon-missing and
    package-needs-versioned-debhelper-build-depends.
  * Remove the menu file.
  * Use secure Vcs-* URLs.
  * Migrate to automatic debug packages.
  * Bump Standards-Version to 3.9.8.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 04 Nov 2016 20:03:49 +0500

kvirc (4:4.2.0-2) unstable; urgency=low

  * Upload to unstable

 -- Mark Purcell <msp@debian.org>  Sat, 18 May 2013 19:36:33 +1000

kvirc (4:4.2.0-1) experimental; urgency=low

  [ Raúl Sánchez Siles ]
  * New upstream release.
  * Updated debhelper build-depends to better cope with multiarch.
  * Fix "must not be "Multi-Arch: same"" kvirc is Multi-Arch: foreign
    (Closes: #658058)
  * Actually provide valid -dbg package. Added 30_upstream_build-g
  * Fix "Hardening flags missing". Applying suggested changes.
    (Closes: #669189) Thanks to Simon Ruderich.

 -- Mark Purcell <msp@debian.org>  Sun, 03 Mar 2013 10:54:35 +1100

kvirc (4:4.1.3+20111124.svn5988-1) unstable; urgency=low

  The "Land Equilibrium" release.

  * Synced to upstream's SVN revision 5988.

 -- Kai Wasserbäch <curan@debian.org>  Thu, 24 Nov 2011 13:26:20 +0100

kvirc (4:4.1.3+20110929.svn5980-1) unstable; urgency=low

  The "Balance of Power" release.

  * Synced to upstream's SVN revision 5980.
  * debian/control:
    - Vcs-* fields updated.
    - Remove libcrypto++-dev from B-Ds, was dropped upstream.
    - Bumped B-D on debhelper to >= 8.9.4.
  * debian/rules:
    - Remove a now obsolete flag.
    - Upstream fixed a typo in a configuration variable name (now
      WANT_COEXISTENCE), updated invocation.
  * debian/compat: Now at 9.
  * Make KVIrc multiarch ready:
    - debian/{kvirc,libkvilib4,kvirc-modules}.install: Split out binaries
      under /usr/lib.
    - debian/rules: Add -DLIB_SUFFIX to dh_auto_configure invocation.
    - debian/control:
      + Added new packages (needed for split).
      + Added Multi-Arch fields
      + Added Pre-Depends: multiarch-support and ${misc:Pre-Depends} where
        needed.
      + Bumped B-D on CMake.
    - debian/{kvirc,libkvilib4,kvirc-modules}.lintian-overrides: Moved and
      updated overrides to match new locations (one could be dropped in the
      process).

 -- Kai Wasserbäch <curan@debian.org>  Thu, 29 Sep 2011 16:27:07 +0200

kvirc (4:4.1.1~svn5829-1) unstable; urgency=low

  The "Sleeping Potion" release.

  * Synced to upstream's SVN revision 5829.
  * debian/gbp.conf: Ensure tags get signed.
  * debian/control: Bumped Standards-Version to 3.9.2, no further changes
    needed.
  * debian/patches:
    - 10_fix_desktop_entry.patch: Refreshed.
    - 22_use_old_.protocol_file_names.patch: Added, sort of reverts upstream's
      r5756.
  * debian/kvirc-data.install: Updated for correct .protocol file
    installation.
  * debian/kvirc.lintian-overrides: Updated to match Lintian's current output.

 -- Kai Wasserbäch <curan@debian.org>  Sat, 07 May 2011 16:59:40 +0200

kvirc (4:4.1.1~svn5639-1) unstable; urgency=low

  The "Sleeper Agent" release.

  * Synced to upstream's SVN revision 5639.
  * debian/control: Added libqtwebkit-dev (QWebView is no longer shipped in
    libqt4-dev).

 -- Kai Wasserbäch <curan@debian.org>  Fri, 18 Mar 2011 19:22:25 +0100

kvirc (4:4.1.1~svn5551-1) unstable; urgency=low

  The "Sigil of Sleep" release.

  * Synced to upstream's SVN revision 5551.
  * debian/control:
    - Remove version constraint on pkg-kde-tools B-D (oldest version in the
      archives is >=0.9).
    - Changed Vcs-* links to our Git repository (this change was made because
      mercurial-buildpackage isn't ready yet).
    - Remove version requirement for qt4-x11, stable is sufficiently
      up-to-date.
  * debian/kvirc-data.links: Added symlink for usr/share/pixmaps/kvirc.png, as
    it is the same as the 48x48 hicolor icon.
  * debian/kvirc.install: Added the man pages, as upstream installs them in
    the correct places now, our dh_installman hack isn't needed anymore.
  * debian/kvirc.manpages: Deleted (see above).
  * debian/rules:
    - Changed dh_install invocation to --fail-missing.
    - Added "--parallel" to dh_auto_configure invocation.
    - Removed get-orig-tar target, use gbp-clone/gbp-pull (or plain git).
  * debian/README.source: Updated for new Git repository.
  * debian/gbp.conf: Added to ensure pristine-tar usage.
  * debian/watch: Added git-import-orig invocation.

 -- Kai Wasserbäch <curan@debian.org>  Mon, 07 Mar 2011 12:57:53 +0100

kvirc (4:4.1.1~svn5507-1) unstable; urgency=low

  The "Cunning Advisor" release.

  * Synced to upstream's SVN revision 5507.
  * debian/kvirc-data.preinst: Removed. Upgrades from stable won't need it.
  * debian/watch: Replace the "latest" part with "([\d\.]+)" to make us
    independent of the upstream symlink.
  * debian/README.Debian:
    - Removed obsolete parts about Python and upgrades from 3.4.
    - Added notice about handling default script issues.
  * debian/README.source: Updated for 4.1.1.
  * debian/{compat,control,rules}: Updates for debhelper 8.
  * debian/patches/10_fix_desktop_entry.patch: Refreshed.

 -- Kai Wasserbäch <curan@debian.org>  Wed, 23 Feb 2011 13:19:39 +0100

kvirc (4:4.1.1~svn5467-1) unstable; urgency=low

  The combined "Twisted Experiment" and "Nocturnal Raid" release.

  [ Kai Wasserbäch ]
  * Synced to upstream's SVN revision 5467.
  * debian/rules:
    - Added .PHONY line.
    - Resurrect -DMANUAL_REVISION, got lost somewhere and we build SVN
      revisions again.
    - Replace "-DWITH_NO_EMBEDDED_CODE=YES" with "-DWANT_CRYPTOPP=YES".
    - Change the remaining -DWITH/-DWITHOUT to the new -DWANT syntax.
  * debian/control:
    - Removed DMUA, I'm a DD now.
    - Changed my e-mail address.
    - Removed unneeded relationships (no upgrades over two releases are
      supported).
    - Fix Suggests for kvirc-dbg.
    - kvirc-data: Make the "Suggests: kvirc" a Recommends, doesn't make much
      sense to install the -data package without the program.
  * debian/source/local-options: Added with "unapply-patches".
  * debian/kvirc.lintian-overrides: Updated to work for 4.1.1.
  * debian/patches/21_make_shared-mime-info_B-D_superfluous.patch: Updated.
  * debian/kvirc-data.install: Added .notifyrc.

  [ Raúl Sánchez Siles ]
  * Stating the right version where kvirc-data break and replace should happen.
  * Fixing link to license file.
  * Added French and Portuguese man pages.

 -- Kai Wasserbäch <curan@debian.org>  Sat, 12 Feb 2011 10:40:21 +0100

kvirc (4:4.0.2-1) unstable; urgency=low

  The "Leyline of the Void" release

  * New upstream release. (Closes: #590932)
    - Upstream skipped 4.0.1 as an official release.
    - debian/patches/00_upstream_patches_for_4.0.patch: Deleted.
  * debian/source/options: Added to ensure BZip2 compression.
  * debian/watch: Use "latest" directory on FTP server.
  * debian/kvirc.lintian-overrides: Updated.
  * Enable Python scripting support:
    - debian/patches/20_rm_python_stub.patch: Deleted.
    - debian/rules: Removed WITHOUT_PYTHON flag.
    - debian/control: Added python-dev to Build-Depends.

 -- Kai Wasserbäch <debian@carbon-project.org>  Mon, 02 Aug 2010 16:22:44 +0200

kvirc (4:4.0.0-3) unstable; urgency=high

  The "Sliver Queen" release.

  * Urgency high as 00_upstream_patches_for_4.0.patch fixes a serious security
      flaw in the DCC module (other, rather minor in comparison, security
      fixes are also included).  (Closes: #590745)
      Upstream-Bug: <https://svn.kvirc.de/kvirc/ticket/858>
  * debian/rules:
    - Removed override_dh_strip and added --dbg-package to the general dh
      invocation.
    - Made dh_install run parallel aware.
  * debian/patches:
    - Removed patches 00 through 04 and replaced them by a single patch
      containing all upstream bug fixes to the 4.0 branch.
  * debian/kvirc.lintian-overrides: change kvirc: no-symbols-control-file to
    the correct library file name.
  * debian/control: Bumped Standards-Version to 3.9.1, required change:
    - debian/copyright: Remove the complete GPLv1 and point to
      common-licenses.

 -- Kai Wasserbäch <debian@carbon-project.org>  Wed, 28 Jul 2010 13:57:14 +0200

kvirc (4:4.0.0-2) unstable; urgency=low

  The "Cleansing" release.

  * debian/copyright: Don't reference BSD license (Debian policy 12.5), one
    occurrence was missed.
  * debian/control: Make kvirc conflict again with kvirc-dev, I actually
    missed a bullet point in section 7.4 of the policy.
  * debian/patches:
    - Rename "01_correct_sources_date.patch" to
      "01_upstream_correct_sources_date.patch".
    - 02_upstream_fix_sound_selector_layout.patch: Added, taken from
      upstream's 4.0 branch (commit:4561).
    - 03_upstream_fix-upstream-issue-#824.patch: Added, taken from upstream's
      4.0 branch (commit:4565 and commit:4573).
    - 04_upstream_fix-upstream-issue-#817.patch: Added, taken from upstream's
      4.0 branch (commit:4569).
    - 00_upstream_fix-object-module.patch: Added, taken from upstream's 4.0
      branch (commit:4575 and commit:4576).

 -- Kai Wasserbäch <debian@carbon-project.org>  Fri, 02 Jul 2010 19:24:21 +0200

kvirc (4:4.0.0-1) unstable; urgency=low

  The "Child of Night" release.

  * New upstream release:
    - A lot of bug fixes, including a fix for an infinite loop, and
    - some translation updates.
  * debian/kvirc-data.install:
    - Added "usr/share/kvirc/*/audio/" to the list of installed directories.
    - Removed "debian/tmp/" prefix.
  * debian/kvirc.install: Removed "debian/tmp/" prefix.
  * debian/control:
    - Bumped Build-Depends for pkg-kde-tools to >= 0.9 for ensured source
      package 3.0 (quilt) support.
    - Bumped Standards-Version to 3.9.0:
      + Added Breaks to kvirc stanza (7.3, 7.6.1).
      + Moved Conflicts to Breaks (7.4).
      + debian/copyright: Updated (12.5).
  * debian/kvirc.docs: Install the correct upstream README file and remove the
    upstream TODO file for real (as claimed in the entry for
    4:4.0.0~svn3763-1).
  * debian/rules: No longer set MANUAL_REVISION.
  * debian/patches/01_correct_sources_date.patch: Added, taken from upstream's
    4.0 branch (commit:4552).

 -- Kai Wasserbäch <debian@carbon-project.org>  Mon, 28 Jun 2010 20:43:44 +0200

kvirc (4:4.0.0~svn4340+rc3-1) unstable; urgency=medium

  The "Grave Consequences" release.

  * Synced to upstream's SVN revision 4340:
    - Now RC3.
    - A lot of bug fixes, including:
      + a security fix for the DCC part (therefore urgency=medium), and
      + a crash. (Closes: #580289)
    - And some translation updates including the remainder of Holger Wansing's
      suggestions.
  * debian/patches:
    - 10_fix_desktop_entry.patch: Refreshed.
    - 21_make_shared-mime-info_B-D_superfluous.patch: Added. (Closes: #581321)

 -- Kai Wasserbäch <debian@carbon-project.org>  Tue, 18 May 2010 18:30:31 +0200

kvirc (4:4.0.0~svn4253+rc2-1) unstable; urgency=low

  The "Winter Blast" release.

  * Synced to upstream's SVN revision 4253:
    - Translation updates:
      + German; update due to a review by debian-l10n-german (thanks to Holger
        Wansing for the review, thanks to Markus Rennings for incorporating the
        suggestions).
      + Italian
    - A lot of bug fixes, including:
      + a fix for a crash in KVS objects,
      + a fix for a SEGV in the IRC log viewer,
      + a fix for the URL module, which had bug leading to disconnects,
      + a fix for an infinite loop in the syntax highlighter, and
      + a fix for a SEGV in the reguser module.
  * debian/copyright: Fixed license information for files in
    »src/kvilib/ext/avdevice« (taken from Kopete).

 -- Kai Wasserbäch <debian@carbon-project.org>  Fri, 16 Apr 2010 14:02:16 +0200

kvirc (4:4.0.0~svn4170+rc2-1) unstable; urgency=low

  The "Underworld Dreams" release.

  * Synced to upstream's SVN revision 4170:
    - A lot of bug fixes, including a fix for an infinite loop.
    - Portuguese translation update, thanks to Américo Monteiro for answering
      the call to debian-{i18n,l10n-portuguese}.

  [ Kai Wasserbäch ]
  * debian/TODO.Debian: Updated, removed resolved points and added information
    on how to fix the linking to libraries from which no symbols are used.
  * debian/control: DM-Upload-Allowed set to yes.
  * debian/patches/10_fix_desktop_entry.patch: Refreshed.

  [ Raúl Sánchez Siles ]
  * Fixed parallel building.
  * Added check to list potential missing files on the package.

 -- Kai Wasserbäch <debian@carbon-project.org>  Sat, 20 Mar 2010 15:53:32 +0100

kvirc (4:4.0.0~svn3989+rc2-1) unstable; urgency=low

  The "Worldwake" release.

  * Synced to upstream's SVN revision 3989:
    - A lot of bug fixes (including crashes/segmentation faults).
    - Russian transaltion update.
    - Fixes for cppcheck-found errors.
  * debian/kvirc.lintian-overrides: Added "spelling-error-in-binary" for
    "./usr/lib/kvirc/4.0/modules/libkvilanguage.so" which is a false positive.
  * debian/copyright: Reproduce GPLv1 in full text, as it's not in
    common-licenses.
  * debian/README.Debian: Added a note about Python support.
  * debian/patches/30_r3902_update_motd.patch: Dropped, was taken from
    upstream.
  * debian/rules:
    - Fixed get-orig-source target.
    - Set MANUAL_REVISION dynamically (we determine the revision anyway).

 -- Kai Wasserbäch <debian@carbon-project.org>  Sat, 20 Feb 2010 13:54:09 +1100

kvirc (4:4.0.0~svn3900+rc2-1) unstable; urgency=low

  The »Vampire Nighthawk« release.

  [ Kai Wasserbäch ]
  * Synced to upstream's SVN revision 3900:
    - A lot of bug fixes (including crashes).
    - Some (minor) translation improvements.
    - Corrected spelling for mistakes found by Lintian.
  * debian/README.source:
    - Corrected some minor mistakes.
    - Expanded the file (mention get-orig-source).
  * debian/control:
    - Added libxss-dev to Build-Depends for XScreensaver support in
      src/modules/my/idle_x11.cpp.
    - Bumped Standards-Version to 3.8.4, no further changes needed.
  * debian/patches:
    - 30_r3902_update_motd.patch: Added (taken from r3902).
    - 20_rm_python_stub.patch: DEP-3 header added.

  [ Raúl Sánchez Siles ]
  * Improved debian/README.source.
  * Added DEP3-compliant header to patches.

 -- Kai Wasserbäch <debian@carbon-project.org>  Thu, 28 Jan 2010 15:57:08 +0100

kvirc (4:4.0.0~svn3763-1) unstable; urgency=low

  The »Creatures of the Night« release.

  * Synced to upstream's SVN revision 3763:
    - Updated and improved licensing based on GPLv2+
    - Including a patch from Debian to remove bashisms. (Closes: #535873)
    - Including a German manpage originating from Debian and an Italian manual
      page.
    - Coming with the rewritten notifier.
    - With a new $str.digest implementation, originating from the »no
      embedded« branch (see TODO.Debian for further information).
    - Performance boost thanks to a rewrite of the treewidget class.
    - Fixes an issue with the »popups.kvs« script, addressed in upstream's
      SVN revision 3249 <https://svn.kvirc.de/kvirc/changeset/3249>.
      (Closes: #539874)
    - Fixes an FTBFS with binutils-gold (upstream SVN revision 3596
      <https://svn.kvirc.de/kvirc/changeset/3596>). (Closes: #555068)

  [ Kai Wasserbäch ]
  * debian/control:
    - Standards-Version is now 3.8.3:
    - Remove obsolete Conflicts and Replaces from kvirc-data's definition.
      kvirc-doc isn't even in oldstable (Etch), same applies for versions less
      then 2:3.0.0.
    - Added libcrypto++-dev and pkg-config to Build-Depends, to enable new
      $str.digest code.
    - Ensure Qt 4.5.0 or higher is present (not the case on S390).
    - Added ${misc:Depends} to kvirc-data entry.
    - Improved package descriptions (thanks to Raphael Geissert).
    - Added a Conflicts: for kvirc-dev, so the old package gets removed.
    - Removed CDBS from Build-Depends.
    - Added versioned Build-Depends for debhelper and pkg-kde-tools, which
      allows us to switch to dh only.
    - Removed quilt, isn't needed according to
      <http://wiki.debian.org/Projects/DebSrc3.0>.
  * debian/TODO.Debian:
    - Removed item about adding a German manpage, as this was addressed by
      r3268 <https://svn.kvirc.de/kvirc/changeset/3268> in upstream's VCS (by
      myself).
    - Removed item about installing protocol handlers.
    - Removed item about not cleaned out filelist.txt files, wasn't a CDBS bug,
      but one in the CMakeLists.txt file, see
      <https://svn.kvirc.de/kvirc/changeset/3265> for further information.
    - Removed item about kvirc-config4, we don't ship that anymore.
    - Added an SVN URL to the item about removing embedded code where the
      progress can be tracked.
    - Added reminder about Python module.
  * debian/kvirc-data.preinst:
    - Added (thanks to Raphael Geissert for pointing the not needed
      parentheses out to me).
    - Handle some cruft left over from 3.4 releases. (Closes: #534291)
  * debian/kvirc-data.install: Install protocol handlers again, now directly
    into <file:///usr/share/services>.
  * Don't build kvirc-dev anylonger. Unused so far and would need a great
    deal of work to be Policy compliant again.
  * debian/kvirc.lintian-overrides: Added »kvirc: no-symbols-control-file
    usr/lib/libkvilib.so.4.0.0« as the library is only used in KVIrc modules
    and we don't ship kvirc-dev anymore.
  * debian/rules:
    - Manually set the SVN revision number.
    - Reduce dependencies, one audio backend is enough.
    - Added »-DWITH_NO_EMBEDDED_CODE=YES« to CMake invocation.
    - Rewrote the rules for dh7 only (without CDBS).
    - Removed quilt from dh invocation, now handled by dpkg-source (source
      format »3.0 (quilt)«).
  * debian/source.lintian-overrides: Removed (Thanks to Raphael Geissert).
  * debian/copyright:
    - Added BSD license for some CMake snippets we don't use but are shipped by
      upstream (we use the ones provided by kdelibs5-dev or don't build the
      relevant part). (Thanks to Barry deFreese and Raphael Geissert.)
  * debian/compat: bumped to 7.
  * debian/kvirc.docs: Added.
  * debian/kvirc.manpages: Added.
  * debian/kvirc.install: Removed man pages.
  * debian/source/format: Added with »3.0 (quilt)« as its content.
  * Added debian/patches/20_rm_python_stub.patch which removes the always build
    Python module stub, because we don't build the Python module.

  [ Raúl Sánchez Siles ]
  * Adding a debug package so debug information can be provided.
  * Do not provide upstream TODO.
  * Adding packaging copyright to Kai Wasserbäch.
  * Provide a more consistent name to kubuntu_01_fix_desktop_entry.patch
    patch to 10_fix_desktop_entry.patch. Suggested by Eugene V. Lyubimkin
  * Updated copyright file.
  * Using english as default manpage.
  * Addind README.source documenting how to build package from latest sources.

  [ Mark Purcell ]
  * Add get-orig-source to pull exact version from upstream svn
  * Add myself to uploaders

 -- Mark Purcell <msp@debian.org>  Fri, 08 Jan 2010 18:28:54 +1100

kvirc (4:4.0.0~svn3240-1) unstable; urgency=low

  The »Dream Team« release.

  [ Raúl Sánchez Siles ]
  * Fix "kvirc website, upstream 3.4.2" New upstream release. (Closes: #526886)
  * rules:
    - Using Debian pkg-kde-tools kde4.mk
    - Added debhelper.mk
    - Added patchsys-quilt.mk
  * Patches:
    - Removed kubuntu_02_fix_cmakelist_icons.patch. Included upstream.
    - Removed 10_gcc4.3_fix.patch. Included upstream.
    - Removed 17_awaybackaction.patch. Included upstream
    - Removed 20_fixman.patch. Fixed upstream.
  * Copyright:
    - Fixed pointer to GPLv2 in copyright file.
    - More detailed and updated copyright file.
  * Menu:
    - Fixed menu file syntax error.
    - Correctly point to 32x32 icon.
    - Reworked 05_xpmicon.patch to only include 32x32 icons.
  * Bump Standards-Version to 3.8.1. No changes needed.
  * Added DEB_DH_ALWAYS_EXCLUDE
  * Fixed installing files per package paths.
  * Setting back maintainer to Debian KDE Extras Team.
  * Moved desktop file from kvirc-data to kvirc package.
  * Disabled coexistence with kvirc3.
  * Moving manpage from kvirc-data to kvirc package. kvirc replaces kvirc-data
  * Fix "kvirc has circular Depends on kvirc-data". Now kvirc-data suggests
    kvirc (Closes: #525037)
  * Pointing upstream license path to Debian copyright file.
  * Using shared-mime-info to add filetypes to system mime database.

  [ Kai Wasserbäch ]
  * Synced to upstream's SVN r3240:
    - Including patch from Debian to fix the xterm issue. (Closes: #530311)
    - Fixes »kvirc doesn't obey LC_MESSAGES environment variable«.
      (Closes: #426838)
    - Fixes »kvirc: embedding perl needs PERL_SYS_INIT3()« for real (upstream
      changeset <https://svn.kvirc.de/kvirc/changeset/3023>). (Was bug:
      #495064)
      See README.Debian for a short note on this.
    - Includes OFTC/irc.debian.org in the standard server list.
    - Refreshed patches.
  * debian/control:
    - Added zlib1g-dev, libssl-dev, libx11-dev and libxrender-dev to
      Build-Depends. Three fix a FTBS, libssl-dev adds SSL support.
    - Added myself to Uploaders on Raúl's invitation. Thanks!
    - Changed Vcs-* fields to point to the hg repository, which is where the
      package development takes place today.
    - Added ${misc:Depends} to kvirc.
  * debian/TODO.Debian: Added.
  * debian/source.lintian-overrides: Added.
    - »kvirc source: debhelper-but-no-misc-depends« added for
      kvirc-{dev,data}.
  * debian/watch: Added (using ftp.kvirc.de instead of primary FTP server,
    because the primary is down atm). (Issue found by lintian.)
  * debian/patches: Added short explanations to the patches (thanks lintian).
  * debian/kvirc-data.links: Raúl noticed, that
    <file:///usr/share/kvirc/4.0/license/COPYING> didn't end up in the kvirc
    package and the intended link to <file:///usr/share/doc/kvirc/copyright>
    wasn't set. Added an entry to address that.

 -- Kai Wasserbäch <debian@carbon-project.org>  Fri, 05 Jun 2009 01:01:01 +0200

kvirc (4:4.0.0~svn3039-0ubuntu2) jaunty; urgency=low

  [ Alessandro Ghersi ]
  * Fix missing icon in menu (LP: #335023)
  * Add kubuntu_02_fix_cmakelist_icons.patch and refresh 05_xpmicon.patch

  [ Alessio Treglia ]
  * Section field in kvirc-data duplicates the value inherited from source package,
    fixed.

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Wed, 25 Feb 2009 05:32:10 +0100

kvirc (4:4.0.0~svn3039-0ubuntu1) jaunty; urgency=low

  * SVN pre-release (2009/01/26)
  * Update debian/copyright
  * Update packaging to use kde4.mk and cmake
  * Update build deps
  * Update compat (debhelper >= 6)
  * Update standards to 3.8.0
  * Update *.install to comply with new standards version
  * Fix post/pre scripts to update alternatives for irc.protocol
  * Remove unnecessary patches
    - 01_am_maintainer_mode.patch
    - 02_rpath.patch
    - 09_plugin_dir.patch
    - 13_eula.patch
    - 30_security-cipherlist-bad-order_r1990.patch
    - 31_r1997-irchandler-exploit-bug503401.patch
    - 51_PERL_SYS_INIT3_r2271-bug495064.patch
    - 52_windowmenu-crashes_r1991.patch
    - 98_buildprep.diff
  * New patches
    - kubuntu_01_fix_desktop_entry.patch
  * Update patches
    - 05_xpmicon.patch

 -- Roderick B. Greening <roderick.greening@gmail.com>  Tue, 27 Jan 2009 00:33:18 -0330

kvirc (2:3.4.0-3) unstable; urgency=medium

  * try to start command via irc:// handler (Closes: #503401).
    Added 31_r1997-irchandler-exploit-bug503401.patch
  * Urgency medium due to potential security bug fix.

 -- Raúl Sánchez Siles <rasasi78@gmail.com>  Sun, 26 Oct 2008 21:14:02 +0100

kvirc (2:3.4.0-2) unstable; urgency=low

  * Adding 30_security-cipherlist-bad-order_r1990.patch collected upstream.This
    solves SSL ciphering security bug: https://svn.kvirc.de/kvirc/ticket/155
  * embedding perl needs PERL_SYS_INIT3() (Closes: #495064) Taken from svn and
    added as 51_PERL_SYS_INIT3_r2271-bug495064.patch
  * GPL code linked against OpenSSL in KVirc (Closes: #495269) Updated copyright
    file according to Copyright Holder license additions.
  * Adding 52_windowmenu-crashes_r1991.patch taken upstream to fix Window menu
    options crashing.
  * Moved patches to quilt since double compilation fails (see: #414305).
  * Tighten build-depends for automake >= 1.10

 -- Raúl Sánchez Siles <rasasi78@gmail.com>  Thu, 18 Sep 2008 21:37:50 +0200

kvirc (2:3.4.0-1) unstable; urgency=low

  * New upstream release.
  * New version (3.4) available. (Closes: #473454)
  * Adopt package after pinging several times maintainer without answer. See
    bug #473454.
  * Patches:
    + Removed patches 05_Kvi_Avatar_Resize and 06_resizeavatar.patch. Applied
      upstream.
    + Added patches for build system preparation: 01_am_maintainer_mode and
      98_buildprep.
    + Added patch 20_fixman to fix a typo on man package.
    + Refreshed patch 09_plugin_dir to modify admin/acinclude.m4.in.
    + Reworked 02_rpath to deal with rpath removal on build.
  * Dependencies:
    + Tighting depends for kvirc and kvirc-data.
    + Addind automake1.10 to build-deps.
  * Bump policy to 3.7.3: Updated menu file to menu policy 1.4.
  * Changed 3.2 references in rules,kvirc-data installation scripts to 3.4.
  * Maintainer scripts:
    + Removing empty: kvirc-dev and kvirc.prerm.
    + Removing not needed: kvirc.postrm, kvirc.postinst.
  * Removing link to manpage for kvi_make_scriptdist.sh no longer existing.
  * Fixing installation paths for some files in kvirc and kvirc-data, taking
    those paths from a patch.
  * Adding some more new .desktop files.
  * Adding Homepage field in control file. Removing from package description.
  * Updated copyright file with information about repackaging and upstream
    copyright holders.
  * Adding Vcs-Svn and Vcs-Browser control fields.

 -- Raúl Sánchez Siles <rasasi78@gmail.com>  Wed, 02 Apr 2008 00:13:00 +0200

kvirc (2:3.2.4-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * add fix for gcc 4.3 compile error (Closes: #454874).

 -- Jan Wagner <waja@cyconet.org>  Mon, 28 Jan 2008 01:09:00 +0100

kvirc (2:3.2.4-5) unstable; urgency=low

  * Move plugins and modules from /usr/share into /usr/lib. (Closes: #392393)
    Thanks, Steinar H. Gunderson.
    - When checking if a directory is the kvirc global directory, don't
      check for the modules, as they have moved; check for the help
      directory instead (which the comments also suggest).
    - Make a local hack in src/kvirc/kernel/kvi_app_fs.cpp to look for
      modules and plugins in /usr/lib instead of /usr/share.

 -- Robin Verduijn <robin@debian.org>  Mon,  6 Nov 2006 15:06:30 +0500

kvirc (2:3.2.4-4) unstable; urgency=low

  * Fix non-POSIX shell code in debian/rules (Closes: #384915).

 -- Robin Verduijn <robin@debian.org>  Thu, 31 Aug 2006 11:05:34 +0500

kvirc (2:3.2.4-3) unstable; urgency=low

  * Rebuild with official 3.2.4 release code.

 -- Robin Verduijn <robin@debian.org>  Wed,  9 Aug 2006 11:49:12 +0500

kvirc (2:3.2.4-2) unstable; urgency=low

  * Rebuild in newer chroot.

 -- Robin Verduijn <robin@debian.org>  Tue,  1 Aug 2006 12:10:05 +0500

kvirc (2:3.2.4-1) unstable; urgency=low

  * Bring debian directory in sync again with the rest of the source.
  * Bump Standards-Version to 3.7.2.0:
    - rename shellscripts in /usr/bin to not have .sh extension
  * Fix for license file location.

 -- Robin Verduijn <robin@debian.org>  Fri, 28 Jul 2006 16:58:36 +0500

kvirc (2:3.2.0-5) unstable; urgency=low

  * Rebuild for current dependencies.
  * Update FSF address.
  * Bump Standards-Version to 3.6.2.0 (no changes).
  * Fix invalid characters in manpage.

 -- Robin Verduijn <robin@debian.org>  Mon, 21 Nov 2005 22:49:53 -0500

kvirc (2:3.2.0-4) unstable; urgency=low

  * Fix compilation with gcc 4 (Closes: #325365).
    Thanks, Andrea Briganti!

 -- Robin Verduijn <robin@debian.org>  Wed, 31 Aug 2005 13:22:05 -0400

kvirc (2:3.2.0-3) experimental; urgency=low

  * Changes to make KVIrc cooperate better with other IRC clients that
    also register KDE services (Closes: #303216).

 -- Robin Verduijn <robin@debian.org>  Tue,  3 May 2005 20:36:06 -0400

kvirc (2:3.2.0-2) experimental; urgency=low

  * Upstream patches to fix avatar resizing (Closes: #305191)
  * Upstream patch to fix AwayBack action button (Closes: #305370)

 -- Robin Verduijn <robin@debian.org>  Sun,  1 May 2005 18:17:17 -0400

kvirc (2:3.2.0-1) experimental; urgency=low

  Getting KVIrc 3 in shape for Debian

  * Fix up autogen.sh to be more robust in incomplete build environments
  * Add kvirc-data package which holds architecture-independent files
  * Set necessary Lintian overrides because we keep some files in kvirc-data
  * Remove unnecessary dependencies from debian/control
  * Add dependency on libperl-dev so we get Perl support
  * Update package descriptions
  * Rearrange file lists between kvirc, kvirc-data, and kvirc-dev
  * Add missing themes/ directory to the kvirc-data package
  * Don't run autogen.sh from debian/rules
  * Remove configure options that are already turned on by default,
    and add some that we'd want turned on (--enable-perl, --with-pic)
  * Turn off compiler optimizations as they might cause hard to find bugs
    on architectures with odd compilers
  * Remove some unnecessary code from debian/rules
  * Closes: #245726, #255968, #263914, #267876 (RFPs for KVIrc 3)

 -- Robin Verduijn <robin@debian.org>  Sun, 27 Feb 2005 02:45:27 -0500

kvirc2 (2.1.3-1) experimental; urgency=low

  * Drop kvirc-doc package; move its contents to kvirc-data.
  * Rename packages to kvirc2, kvirc2-data and kvirc2-dev.
    This opens up the possibility of packaging a new upstream
    kvirc package without having to drop the stable KVIrc 2 first.

 -- Robin Verduijn <robin@debian.org>  Sun, 20 Feb 2005 16:00:57 -0500

kvirc (2:2.1.3.1-2) unstable; urgency=low

  * Change Recommends on xmms to a Suggests.
  * Rebuild against KDE 3.3.1

 -- Robin Verduijn <robin@debian.org>  Tue, 14 Dec 2004 15:32:19 -0500

kvirc (2:2.1.3.0-2) testing-proposed-updates; urgency=medium

  * Set correct Depends for kvirc and kvirc-data. (Closes #272569)
  * Urgency medium because kvirc will not be installable in sarge if this goes
    in.

 -- Robin Verduijn <robin@debian.org>  Mon, 20 Sep 2004 18:30:15 -0400

kvirc (2:2.1.3.0-1) testing-proposed-updates; urgency=low

  * Target a new upload to testing-proposed-updates to try and get
    kvirc into Sarge on time for the release.
  * Main reasons for t-p-u:
    - DFSG files in kvirc_2.1.3.orig.tar.gz warrant a fresh tarball.
    - Fixed segfault due to non-threadsafe access to topic editor history.

 -- Robin Verduijn <robin@debian.org>  Fri, 27 Aug 2004 09:51:29 -0400

kvirc (2:2.1.3.1-1) unstable; urgency=low

  * Patch release 2.1.3.1
    The bumped version number ensures that non-DFSG files will not appear in
    the .orig.tar.gz file anymore.
  * Replaced .mo file hackery in kvi_locale with full libintl support.
  * Refreshed .po files with current source.
  * Encoded language files in UTF-8.
  * Fixed image loading when only Qt is enabled.
  * "What is This?" routine won't timeout if user is still moving the mouse.
  * Fixed segfault due to non-threadsafe access to topic editor history.
  * Fixed Qt-only compilation.
  * Improved logic to find a suitable fixed font.
  * Fixed compilation under Cygwin.
  * Put generated files in the .orig.tar.gz to help make the diff.gz smaller.

 -- Robin Verduijn <robin@debian.org>  Sun,  8 Aug 2004 16:35:46 -0400

kvirc (2:2.1.3-11) unstable; urgency=low

  * Fix gcc 3.4 warnings and errors. (Closes: #259033)
  * Use better-looking default fonts.

 -- Robin Verduijn <robin@debian.org>  Sun, 18 Jul 2004 21:07:00 -0400

kvirc (2:2.1.3-10) unstable; urgency=low

  * Update the build number as well. (Still closes: #256522)

 -- Robin Verduijn <robin@debian.org>  Thu,  1 Jul 2004 14:39:36 -0400

kvirc (2:2.1.3-9) unstable; urgency=low

  * Allow -session commandline parameter. (Closes: #256522)

 -- Robin Verduijn <robin@debian.org>  Wed, 30 Jun 2004 20:25:30 -0400

kvirc (2:2.1.3-8) unstable; urgency=low

  * Remove unnecessary depends on (build-essential) dpkg-dev package.
  * Fix warnings produced by automake1.8

 -- Robin Verduijn <robin@debian.org>  Thu, 20 May 2004 12:15:01 -0400

kvirc (2:2.1.3-7) unstable; urgency=low

  * Fix application constructor call for KDE 3.2. (Closes: #242503)

 -- Robin Verduijn <robin@debian.org>  Wed,  7 Apr 2004 19:45:36 -0400

kvirc (2:2.1.3-6) unstable; urgency=low

  * Fix for FTBFS on all architectures.

 -- Robin Verduijn <robin@debian.org>  Mon,  5 Apr 2004 20:24:17 -0400

kvirc (2:2.1.3-5) unstable; urgency=low

  * Distribute architecture independent files in kvirc-data.
  * Improve package descriptions.
  * Remove unnecessary build depends.
  * Fix compile warnings with KDE 3.2.
  * Do not use -O3 optimization by default.
  * Update RELEASE information.

 -- Robin Verduijn <robin@debian.org>  Thu, 11 Mar 2004 21:11:50 -0600

kvirc (2:2.1.3-4) unstable; urgency=low

  * Fix includes to remedy m68k FTBFS

 -- Robin Verduijn <robin@debian.org>  Sat, 28 Feb 2004 17:25:15 -0600

kvirc (2:2.1.3-3) unstable; urgency=low

  * Can now recommend xmms instead of xmms-dev due to improvement
    in XMMS plugin loader.
  * Update config.* from latest autotools-dev.

 -- Robin Verduijn <robin@debian.org>  Tue, 17 Feb 2004 14:39:16 -0600

kvirc (2:2.1.3-2) unstable; urgency=low

  * No longer distribute any RFCs due to licensing issues.

 -- Robin Verduijn <robin@debian.org>  Wed, 28 Jan 2004 21:41:12 -0600

kvirc (2:2.1.3-1) unstable; urgency=low

  * The KVIrc 2.1.3 "Renaissance" release.
  * New splash screen.
  * Add myself to the list of credits.
  * debian/copyright: improved copyright text.

 -- Robin Verduijn <robin@debian.org>  Wed, 14 Jan 2004 18:21:05 -0600

kvirc (2:2.1.2.99pre6-1) unstable; urgency=low

  * New prerelease:
    - Changed KVIrc name from 'Monolith' to 'Renaissance' in
      anticipation of new release.
    - Fix mouse event handling in Message Colors screen.
    - General Options dialog and Script Center are now KDE widgets.
    - Prevent KDE Help browser from starting when using "What is This?"
      in the User Configuration, Server, and Registered Users dialogs.
    - Listview field editors now work properly.
    - Use KProcess for spawning processes.
    - Make user toolbar editor more easy to use.
    - Taskbar indicates better which window is active.
    - Fix crash when updating application font.
    - Fix double-clicking on links in IRC window.
    - Script editor now uses QTextEdit.
    - Use completion picker when there are multiple matches for completion in
      the script editor.
    - Use QTextEdit for editor plugin + general usability improvements.
    See the RELEASE file for details.
  * debian/rules:
    - Remove unnecessary --x-includes switch.

 -- Robin Verduijn <robin@debian.org>  Mon,  1 Dec 2003 15:09:22 -0600

kvirc (2:2.1.2.99pre5-1) unstable; urgency=low

  * New prerelease:
    - Add tear-offs to selected menus.
    - Use QDns instead of KviAsyncDns.
    - Use QThread instead of direct pthreads calls.
    - Use KDE icons for toolbars.
    - Directory browser now uses KDE mime icons.
    - If a hostname lookup returns multiple IP addresses, use all of them when
      trying to connect before giving up.
    - Fix horrible segfaults in DCC send.
    - Generate correct title for misc documentation pages.
    See the RELEASE file for details.
  * debian/rules:
    - Enable debug and optimization options.
    - Remove --with-ignore-sigalarm option.

 -- Robin Verduijn <robin@debian.org>  Mon,  3 Nov 2003 13:55:29 -0600

kvirc (2:2.1.2.99pre4-1) unstable; urgency=low

  * Add numeric sorting for channel list.
  * Fix Qt-only compilation.
  * Fix compiler warnings on 64-bit architectures.
  * Fix alternative nick calculation.

 -- Robin Verduijn <robin@debian.org>  Tue, 21 Oct 2003 14:51:09 -0500

kvirc (2:2.1.2.99pre3-1) unstable; urgency=low

  * Putting the "K" (back) in KVIrc.
  * KDE integration: use KDE classes instead of Qt wherever possible.
  * Fix basicplugin example.
  * Add AC_PROG_CXXCPP, removing workaround for libtool.
  * Newer libtool also fixes the -rpath issue; remove workaround for it.
  * Fix missing documentation in kvirc-doc.

 -- Robin Verduijn <robin@debian.org>  Mon, 20 Oct 2003 09:10:21 -0500

kvirc (2:2.1.2.99pre2-2) unstable; urgency=low

  * Change debian/rules file to use cdbs.
  * Overhaul kvirc autoconf macros.
  * Enable AM_MAINTAINER_MODE to avoid failed autobuilds.
  * Remove build dependencies on libtool, automake, devscripts, kdebase-dev.
  * Remove obsolete configure options.

 -- Robin Verduijn <robin@debian.org>  Fri, 10 Oct 2003 23:03:18 -0500

kvirc (2:2.1.2.99pre2-1) unstable; urgency=low

  * Improvements to the KVIrc autoconf system.

 -- Robin Verduijn <robin@debian.org>  Thu,  9 Oct 2003 18:55:15 -0500

kvirc (2:2.1.2.99pre1-3) unstable; urgency=low

  * Build-Depend on libxrender-dev (>= 0.8.3-2) to fix autobuild failures.

 -- Robin Verduijn <robin@debian.org>  Thu,  9 Oct 2003 00:00:08 -0500

kvirc (2:2.1.2.99pre1-2) unstable; urgency=low

  * Remove Build-Dependency for libxrender-dev. (Closes: #214717)
    This will still cause the package to fail to build, but until bugs
    #214726 and #214793 are fixed there is not much I can do about it,
    unfortunately.

 -- Robin Verduijn <robin@debian.org>  Wed,  8 Oct 2003 16:59:49 -0500

kvirc (2:2.1.2.99pre1-1) unstable; urgency=low

  * Add include headers for socket() and bind() calls to kvi_netutils.
    This should fix build failure for HPPA.
  * Until I figure out why libtool insist on linking in the non-existant
    /usr/X11R6/lib/libXrender.la, add a Build-Depend on the previous version
    of the libxrender-dev package. That should fix all the other build
    failures.

 -- Robin Verduijn <robin@debian.org>  Wed,  8 Oct 2003 02:25:06 -0500

kvirc (2:2.1.2.99pre1-0) unstable; urgency=low

  * Prerelease for new upstream KVIrc version 2.1.3:
    - Many crashes have been addressed, some of which were due to interaction
      between the ancient code in KVIrc 2.1.2 and the new Qt libraries, some of
      which were due to a newer gcc version, and some of which were just plain bugs.
    - Also has LOTS and lots of spelling fixes and general UI polish.
    See the RELEASE file for details.
  * Fix libtool breakage.
  * Ship example scripts in /usr/share/doc/kvirc-dev/script-examples.
  * Build with --with-ignore-sigalarm switch.
  * Tighten Build-Depends for libtool and libqt3-mt-dev.
  * Add xmms-dev to Recommends since the libkvixmms.so plugin needs it.
  * Remove now-obsolete Build-Depends on libqt3-plugins-headers and
    libqt3-compat-headers.

 -- Robin Verduijn <robin@debian.org>  Tue,  7 Oct 2003 17:47:37 -0500

kvirc (2:2.1.2-24) unstable; urgency=low

  * With kdelibs built successfully on all architectures, try to get KVIrc
    into testing again.

 -- Robin Verduijn <robin@debian.org>  Tue,  9 Sep 2003 21:38:34 -0100

kvirc (2:2.1.2-23) unstable; urgency=low

  * Tightened build dependencies, in another attempt to get successfully
    built by the autobuilders.

 -- Robin Verduijn <robin@debian.org>  Thu,  4 Sep 2003 12:02:12 -0100

kvirc (2:2.1.2-22) unstable; urgency=low

  * Tighten build dependencies to make autobuilders happy again.
    I *hate* the autobuilders. Why can't they go make themselves happy?

 -- Robin Verduijn <robin@debian.org>  Mon,  1 Sep 2003 22:56:06 -0100

kvirc (2:2.1.2-21) unstable; urgency=low

  * Run it through the autobuilders again, since a newer Qt messed up
    the chroots on most of the build machines.
  * Fixed another crash-on-exit problem.
  * Add libxcursor-dev to the build dependencies (temporarily, just to
    get kvirc through the autobuilders while libqt3c102-mt and libxcursor1
    work it out between them).

 -- Robin Verduijn <robin@debian.org>  Mon,  1 Sep 2003 19:25:41 -0100

kvirc (2:2.1.2-20) unstable; urgency=low

  * Bump standards-version to 3.6.1.0 (no changes).
  * Temporarily disable building the "style" plugin, since it does not
    build with the latest Qt.

 -- Robin Verduijn <robin@debian.org>  Sun, 31 Aug 2003 22:40:19 -0100

kvirc (2:2.1.2-19) unstable; urgency=low

  * Build with more recent automake. (Closes: #204039)
    My guess is that since the HPPA autobuilders were unavailable for
    so long, the automake environment in unstable has since gotten
    out of date.
  * Bump standards-version to 3.6.0.
  * Fixed miscellaneous autoconf warnings and errors.
  * Fix a crash-on-exit problem.
  * Updated config.sub, config.guess.

 -- Robin Verduijn <robin@debian.org>  Tue, 19 Aug 2003 14:23:11 -0100

kvirc (2:2.1.2-18) unstable; urgency=low

  * Remove RFCs from the kvirc-doc package. (Closes: #199806)

 -- Robin Verduijn <robin@debian.org>  Sun,  6 Jul 2003 13:20:00 -0100

kvirc (2:2.1.2-17) unstable; urgency=low

  * Bump the revision to -17 because the autobuilders claim that
    there are older .changes files lying around which have the same
    name.

 -- Robin Verduijn <robin@debian.org>  Sun, 29 Jun 2003 21:22:27 -0100

kvirc (2:2.1.2-9) unstable; urgency=low

  * Upload with proper maintainer name. (Closes: #194482)

 -- Robin Verduijn <robin@debian.org>  Sun, 29 Jun 2003 19:27:57 -0100

kvirc (2:2.1.2-8) unstable; urgency=low

  * Now that menu does not proscribe the colour map from cmap.xpm anymore,
    switch back to a better-looking icon.
  * Bump Standards-Version to 3.5.10 (no changes necessary).
  * Rebuild with newer automake. (Closes: #194482)

 -- Robin Verduijn <robin@debian.org>  Sun, 29 Jun 2003 15:24:17 -0100

kvirc (2:2.1.2-7) unstable; urgency=low

  * Fixed character width calculations. (Closes: #184165)

 -- Robin Verduijn <robin@debian.org>  Thu, 17 Apr 2003 17:22:25 -0100

kvirc (2:2.1.2-6) unstable; urgency=low

  * Let kvirc be a good autobuilder citizen: break up rules in
    separate -arch and -indep targets. (Closes: #186617)

 -- Robin Verduijn <robin@debian.org>  Thu, 10 Apr 2003 10:26:37 -0100

kvirc (2:2.1.2-5) unstable; urgency=low

  * Change CXXFLAGS to fix autobuilds. The march=cpu_type flag had been getting
    the wrong cpu_type.

 -- Robin Verduijn <robin@debian.org>  Sat, 22 Mar 2003 11:50:08 -0100

kvirc (2:2.1.2-4) unstable; urgency=low

  * Rely on the Build-Depends to ensure the correct libqt is installed.
  * Bump Standards-Version.
  * Various debhelper changes.
  * Updated dependencies for latest KDE packages.
  * Print config.log if an error occurred during configure target.
  * Try to get it through the autobuilders.

 -- Robin Verduijn <robin@debian.org>  Thu, 20 Mar 2003 19:19:00 -0100

kvirc (2:2.1.2-3) unstable; urgency=low

  * Another attempt at getting it through the autobuilders - disabled pthread
    check.
  * Better check for libqt-mt.

 -- Robin Verduijn <robin@debian.org>  Mon,  3 Mar 2003 15:07:56 -0100

kvirc (2:2.1.2-2) unstable; urgency=low

  * Fixed bug where not having kvirc-doc installed would make it impossible
    to find the global kvirc directory. (Closes: #180987)
  * Fixed check for Qt after the reorganization of the libqt* packages broke
    it.
  * Add libqt3-compat-headers to the list of build-depends.

 -- Robin Verduijn <robin@debian.org>  Wed, 26 Feb 2003 13:03:05 -0100

kvirc (2:2.1.2-1) unstable; urgency=low

  * Since it seems the autobuilders cannot find kvirc_2.1.2.1.orig.tar.gz,
    try uploading a new .orig.tar.gz.
  * Fix sections for kvirc-doc and kvirc-dev.

 -- Robin Verduijn <robin@debian.org>  Sat,  8 Feb 2003 11:12:37 -0100

kvirc (1:2.1.2.1-1.1) unstable; urgency=low

  * Updated Standards-Version to 3.5.8.
  * Remove workaround for g++ problem on SPARC in the hopes that the latest
    gcc-3.2 no longer suffers from the problem.
  *	Use dh_install (simplifies debian/rules nicely).
  * Minor changes to auto* scripts to deal with newer Qt.
  * Compile against Qt3. (Closes: #173881, #177818)

 -- Robin Verduijn <robin@debian.org>  Sat,  8 Feb 2003 00:56:30 -0100

kvirc (1:2.1.2.1-1) unstable; urgency=low

  * Due to bug #162712 in liblcms1, kvirc did not build on HPPA. This problem
    should be resolved with the newer version of liblcms1. (Closes: #162929)
  * I had already noticed the autobuilders did not work. This was due to
    configure not existing in the original .orig.tar.gz file. It was created
    by patch from the .diff.gz file and as a result, did not have executable
    permission. This was fixed in the previous release - which did not make it
    into the archives due to the above problem. (Closes: #162447)

 -- Robin Verduijn <robin@debian.org>  Mon, 30 Sep 2002 21:24:17 +0000

kvirc (1:2.1.2.0-1) unstable; urgency=low

  * Release to make the autobuilders happy again.
  * KVIrc now builds and runs with KDE 3.0.3. Not yet fully tested,
    but KDE 3 will not be in unstable for a while anyway.

 -- Robin Verduijn <robin@debian.org>  Fri, 27 Sep 2002 11:00:15 +0000

kvirc (1:2.1.2-16) unstable; urgency=low

  * Rebuilt in a pristine, chroot'ed build environment. (Closes: #157289)
  * Provide .orig.tar.gz and .diff.gz files. (Closes: #161595)

 -- Robin Verduijn <robin@debian.org>  Wed, 25 Sep 2002 11:13:21 +0000

kvirc (1:2.1.2-15) unstable; urgency=low

  * Turn on KDE support for autobuilt KVIrc packages.

 -- Robin Verduijn <robin@debian.org>  Fri,  9 Aug 2002 18:30:31 +0000

kvirc (1:2.1.2-14) unstable; urgency=low

  * The autobuilders failed on -13 because the .po files had
    duplicate messages; turns out I had an older msgfmt which was less
    strict about that. Grrr...
    (Somehow, I *knew* version -13 would be bad news)

 -- Robin Verduijn <robin@debian.org>  Fri,  9 Aug 2002 02:24:03 +0000

kvirc (1:2.1.2-13) unstable; urgency=low

  * Added automake1.6 to the build dependencies. (Closes: #155918)
  * Fixed build problems on IA64.
  * Tightened build dependency on debhelper to >= 4.1.1 since I am
    using its -L flag.

 -- Robin Verduijn <robin@debian.org>  Thu,  8 Aug 2002 13:31:31 +0000

kvirc (1:2.1.2-12) unstable; urgency=low

  * The "121212" release :)
  * Upstream usability fixes; see upstream changelog for details.
  * Upstream stability fixes:
    - Closes: #149254 - crash when executing /part in private chat.
    - Closes: #150383 - crash when using /topic in a channel.
    - Closes: #139431 - problem was with spaces in username.
  * Run dh_shlibdeps properly to avoid generating a self-dependency.
  * When -debug is specified in DEB_BUILD_OPTIONS, optimizations
    are turned off for better debugging results.
  * Added the KVIrc homepage to the description.
  * Changed the Suggests on kvirc-doc to a Recommends.
  * Suggest xmms.
  * I removed some plugins that were not so useful.

 -- Robin Verduijn <robin@debian.org>  Wed,  7 Aug 2002 16:32:56 +0000

kvirc (1:2.1.2-11) unstable; urgency=low

  * #138169: The problem in bug #138169 is due to a bug in libtool. See
    bug #98342 for details. KVIrc still does not build correctly even with
    the latest libtool (1.4.2-4). When this gets properly fixed I will update
    kvirc's build dependency on libtool. In the mean time, I have applied a
    patch from that bug report which fixes it for me.
    (Closes: #138169)
  * Redid debian/rules somewhat; no longer try to build differently
    depending on how KDE is installed. If the preferred configuration breaks
    for some platform, I'd rather know about it.
  * Do not link versus qt-mt anymore.

 -- Robin Verduijn <robin@debian.org>  Tue, 16 Apr 2002 10:21:07 -0400

kvirc (1:2.1.2-10) unstable; urgency=low

  * Change default alternative nick to "newbie_".
    Set auto-rejoin-on-kick to off by default.
    (Closes: #138633)
  * Add devscripts to Build-Depends because dch is used by the autoconf
    update routine.

 -- Robin Verduijn <robin@debian.org>  Mon, 15 Apr 2002 07:54:37 -0400

kvirc (1:2.1.2-9) unstable; urgency=low

  * Remove "-pre" from the version as it tends to clutter up users' home
    directories. Users should remove any redundant ~/.kvirc-2.1.2-preX
    directories themselves if they are not using them anymore. The window
    caption is stored inside ~/.kvirc-2.1.2/config/kvi.irc.conf and
    can be configured from within KVIrc. (Closes: #133471)
  * Fix the autoconf bit to make it compile with the autoconf EXEEXT
    bug. Basically this involves making sure that autoconf 2.5x is used
    instead of autoconf 2.13. Strange that this did not bite me before.
  * Various upstream bug fixes.

 -- Robin Verduijn <robin@debian.org>  Wed, 27 Feb 2002 19:23:43 +0000

kvirc (1:2.1.2-8) unstable; urgency=low

  * Fix compilation on alpha. (Closes: #121385)
  * Upstream bug fixes. See changelog for details.

 -- Robin Verduijn <robin@debian.org>  Tue, 27 Nov 2001 12:55:37 -0700

kvirc (1:2.1.2-7) unstable; urgency=low

  * Minor spelling changes. (Closes: #118872)

 -- Robin Verduijn <robin@debian.org>  Thu, 22 Nov 2001 11:26:39 -0700

kvirc (1:2.1.2-6) unstable; urgency=low

  * Compile with the latest binutils in order to benefit from prelinking.

 -- Robin Verduijn <robin@debian.org>  Wed, 31 Oct 2001 20:59:17 -0700

kvirc (1:2.1.2-5) unstable; urgency=low

  * Support pulling in the latest config.{sub,guess} add compile-time.
  * Build-Depends: autotools-dev.
  * Build with -fno-exceptions again.

 -- Robin Verduijn <robin@debian.org>  Sat, 13 Oct 2001 11:42:08 -0600

kvirc (1:2.1.2-4) unstable; urgency=low

  * Use updated config.sub and config.guess so we properly build on all
    architectures. (Closes: #115144)

 -- Robin Verduijn <robin@debian.org>  Wed, 10 Oct 2001 10:27:01 -0600

kvirc (1:2.1.2-3) unstable; urgency=low

  * Removed the build dependency on automake by moving the autogen.sh
    outside of the debian/rules and shipping the configure and Makefile.in
    files in the source package. In the long term kvirc will have to be able
    to use automake 1.5 but in the mean time I will keep the old automake
    around on my machine. (Closes: #114714)
  * Modified the descriptions a bit to make them more, well...  descriptive.

 -- Robin Verduijn <robin@debian.org>  Mon,  8 Oct 2001 17:41:36 -0600

kvirc (1:2.1.2-2) unstable; urgency=low

  * Small fix in the handling of options to configure.
  * Include .xpm files in source package to avoid the segfault in convert.
  * Removed the build-dependency on imagemagick.
  * Fixed ldconfig handling in postinst and postrm scripts.
  * Cleaned up rules files.

 -- Robin Verduijn <robin@debian.org>  Fri,  5 Oct 2001 14:26:35 -0600

kvirc (1:2.1.2-1) unstable; urgency=low

  * Change the version number to 2.1.2 to match upstream version.
  * Hopefully with dependencies installed on arm and powerpc the package
    will build for those platforms now...
  * Fixed a harmless warning during doc generation.
  * Disable objprelink for Debian build since it confuses lintian
    (shlib-with-non-pic code).
  * Previous upload fixed the segfault bug. (Closes: #111625)

 -- Robin Verduijn <robin@debian.org>  Mon, 24 Sep 2001 12:59:10 -0600

kvirc (2.1.2-pre8) unstable; urgency=low

  * Fixed the segfault on exit bug.
  * Change build dependency on libqt-dev.

 -- Robin Verduijn <robin@debian.org>  Tue, 11 Sep 2001 18:26:29 -0600

kvirc (2.1.2-pre7) unstable; urgency=low

  * Add ldconfig to postinst script for kvirc.
  * Fix -rpath issues. For good this time, I hope.
  * Change build dependency on imagemagick (>= 5.2.8) since older
    versions of imagemagick would segfault on big-endian systems.
    Hopefully this makes the autobuilders happy again.
    See #107294 for details.

 -- Robin Verduijn <robin@debian.org>  Thu,  6 Sep 2001 15:41:09 -0600

kvirc (2.1.2-pre6) unstable; urgency=low

  * Upstream: more bug fixes.
  * Upstream: better sound support.
  * Upstream: Xft fixes.
  * Upstream: documentation updates.
  * Upstream: usability enhancements.
  * Enable -O3 optimisation for x86 platforms.
  * Generate 64x64 icons.
  * Sanitized debian/rules.
  * Add hints to the menu file.
  * Integrate objprelink with libtool to make for faster startup.
  * Have KVIrc report the proper version.
  * kvirc-doc should be Architecture: all.
  * KVIrc is now lintian-clean.
  * Font anti-aliasing was turned on in 2.1.2-pre3. (Closes: #108490)

 -- Robin Verduijn <robin@debian.org>  Wed, 29 Aug 2001 11:54:52 -0600

kvirc (2.1.2-pre5) unstable; urgency=low

  * Yet more upstream enhancements... Triskelios never sleeps, it seems.
  * Enabled multithread support.
  * Do not patch Makefile; patch acinclude.m4.in instead.
  * Add Depends: kvirc to kvirc-dev and kvirc-doc.
  * Make the configure target change the literal $PREFIX in the man page
    to the prefix we're installing in, i.e. /usr.
  * Add a versioned dependancy on libqt2 (>= 2.3) and kdelibs3 (>= 2.2)
    since I think only specifying libqt2 was creating problems for
    people on older systems.
  * Supply rfc2810.txt, rfc2811.txt, rfc2812.txt and rfc2813.txt with
    kvirc-doc, since the documentation mentions their existence.
  * Supply Plugins-devel-HOWTO with kvirc-dev.
  * Supply the example plugin with kvirc-dev, to help people figure out
    how to write their own plugins.
  * Have a working basicplugin example that compiles properly.
  * Allow for compilation of plugins using the kvirc-config script. This
    used not to work unless one had the full source package installed.
  * KVIrc is compliant with standards version 3.5.6 now.
  * It should now be easier for (beginning) developers to sit down and
    write plugins for KVIrc :)

 -- Robin Verduijn <robin@debian.org>  Mon, 30 Jul 2001 19:55:37 -0600

kvirc (2.1.2-pre4) unstable; urgency=low

  * New logo.
  * Do not use --with-o3-optimisation.
  * Xft fixes.

 -- Robin Verduijn <robin@debian.org>  Sun, 29 Jul 2001 02:47:57 -0600

kvirc (2.1.2-pre3) unstable; urgency=low

  * More upstream fixes.
  * Xft support added.
  * New icons.

 -- Robin Verduijn <robin@debian.org>  Wed, 18 Jul 2001 09:43:01 -0600

kvirc (2.1.2-pre2) unstable; urgency=low

  * Added imagemagick to Build-Depends. (Closes: #102836)
  * Lots of upstream fixes and enhancements, such as:
  * - Support for more Qt styles.
  * - New IRC commands (33).
  * - KDE-style icon sets.
  * - More dock widget configurability.
  * - Cosmetic fixes.
  * Bug fixes.

 -- Robin Verduijn <robin@debian.org>  Mon,  2 Jul 2001 16:21:34 -0600

kvirc (2.1.2-pre1) unstable; urgency=low

  * New upstream version.

 -- Robin Verduijn <robin@debian.org>  Thu, 28 Jun 2001 15:23:52 -0600

kvirc (2.1.1-4) unstable; urgency=low

  * Added Build-Depends: field. (Closes: #101989)
  * Changed KVirc to KVIrc everywhere.
  * Capitalize Description: field in control.

 -- Robin Verduijn <robin@debian.org>  Sat, 23 Jun 2001 18:28:00 -0600

kvirc (2.1.1-3) unstable; urgency=low

  * First Debian upload.
  * Use DH_COMPAT=3
  * Removed some unnecessary cruft from the {pre,post}-inst scripts since
    debhelper now takes care of that.
  * Add error-checking to 'for' loop in debian/rules.
  * Updated description for KVIrc.
  * Compiled with Standards-Version 3.5.5
  * Use DEB_BUILD_OPTIONS to build a debug-enabled version, if desired.
  * Use DEB_BUILD_GNU_CPU to determine C++ compile flags.
  * Move static libraries to kvirc-dev.
  * Add "set -e" to kvi* scripts.

 -- Robin Verduijn <robin@debian.org>  Wed, 20 Jun 2001 00:00:22 -0600

kvirc (2.1.1-2) unstable; urgency=low

  * Synchronized with cvs.
  * Fix lintian warnings about .../doc/*/INSTALL.gz.

 -- Robin Verduijn <robin@debian.org>  Tue, 2 May 2001 11:33:10 -0700

kvirc (2.1.1-1) unstable; urgency=low

  * Synchronized with cvs.

 -- Robin Verduijn <robin@debian.org>  Tue, 11 Apr 2001 22:36:12 -0700

kvirc (2.1.0-1) unstable; urgency=low

  * Synchronized with cvs.

 -- Robin Verduijn <robin@debian.org>  Fri, 16 Feb 2001 11:23:34 +0000

kvirc (2.1.0) unstable; urgency=low

  * Enabled IPv6 support.
  * Removed my icon stuff since the main tree is doing it correctly now.
  * Bumped the version number to 2.1.0. Release time!

 -- Robin Verduijn <robin@debian.org>  Thu, 1 Feb 2001 14:07:15 +0000

kvirc (2.1.0-pre4) unstable; urgency=low

  * Added a #DEBHELPER# line to each of the {pre,post}inst scripts
  * Synchronized with CVS.

 -- Robin Verduijn <robin@debian.org>  Wed, 31 Jan 2001 10:16:35 +0000

kvirc (2.1.0-pre3) unstable; urgency=low

  * Synchronized with CVS.

 -- Robin Verduijn <robin@debian.org>  Thu, 25 Jan 2001 19:31:04 +0000

kvirc (2.1.0-pre2) unstable; urgency=low

  * Ran lintian and corrected all warnings.

 -- Robin Verduijn <robin@debian.org>  Thu, 18 Jan 2001 23:44:00 -0700

kvirc (2.1.0-pre1) unstable; urgency=low

  * Install the proper icon files to improve KDE2 icon handling.
  * Synchronized with CVS.
  * Re-enabled the tkjb plugin.
  * Moved some documentation files to the kvirc-doc package.
  * Bumped the version number.

 -- Robin Verduijn <robin@debian.org>  Thu, 28 Dec 2000 14:21:44 +0000

kvirc (2.0-4) unstable; urgency=low

  * Added files to dh_installdocs.
  * Synchronized with CVS.

 -- Robin Verduijn <robin@debian.org>  Wed, 29 Nov 2000 18:52:07 +0000

kvirc (2.0-3) unstable; urgency=low

  * Removed --without-kde-support flag since it caused KDE support to be
    enabled.

 -- Robin Verduijn <robin@debian.org>  Tue, 22 Nov 2000 23:22:19 +0000

kvirc (2.0-2) unstable; urgency=low

  * Synchronized with CVS.

 -- Robin Verduijn <robin@debian.org>  Thu,  2 Nov 2000 16:00:22 +0000

kvirc (2.0-1) unstable; urgency=low

  * Initial release.

 -- Robin Verduijn <robin@debian.org>  Tue, 10 Oct 2000 14:25:47 +0000
